> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Extended points earned per season and epoch



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json get /extended/points/earned
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /extended/points/earned:
    get:
      tags:
        - Extended
      summary: Get Extended points earned per season and epoch
      operationId: ExtendedController_getEarnedPoints
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExtendedPointsSeasonDto'
        '503':
          description: ExchangeApiError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDTO'
      security:
        - bearer: []
components:
  schemas:
    ExtendedPointsSeasonDto:
      type: object
      properties:
        epochRewards:
          type: array
          items:
            type: object
            properties:
              endDate:
                type: string
                description: Epoch end date in ISO 8601 format
                example: '2026-04-27'
              epochId:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
                description: Epoch identifier within the season
                example: 52
              pointsReward:
                type: string
                description: Points earned during the epoch
                example: '0.1'
              startDate:
                type: string
                description: Epoch start date in ISO 8601 format
                example: '2026-04-21'
            required:
              - endDate
              - epochId
              - pointsReward
              - startDate
            title: ExtendedPointsEpoch
          description: Per-epoch point rewards within the season
        seasonId:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: Season identifier
          example: 1
      required:
        - epochRewards
        - seasonId
      title: ExtendedPointsSeason
    ErrorResponseDTO:
      type: object
      properties:
        message:
          type: string
          example: 'Invalid order id: 123'
        statusCode:
          example: 503
          type: number
      required:
        - message
      title: ErrorResponse
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.